> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optexity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get callback payload

> Returns the full task result payload in the same shape sent to callback URLs.



## OpenAPI

````yaml https://api.optexity.com/openapi.json post /api/v1/get_callback_data
openapi: 3.1.0
info:
  title: Dashboard Backend API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/get_callback_data:
    post:
      tags:
        - task_details
      summary: Get callback payload
      description: >-
        Returns the full task result payload in the same shape sent to callback
        URLs.
      operationId: get_callback_data_api_v1_get_callback_data_post
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_callback_data_api_v1_get_callback_data_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCallbackDataResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_get_callback_data_api_v1_get_callback_data_post:
      properties:
        task_id:
          type: string
          title: Task Id
        endpoint_name:
          type: string
          title: Endpoint Name
      type: object
      required:
        - task_id
        - endpoint_name
      title: Body_get_callback_data_api_v1_get_callback_data_post
    GetCallbackDataResponse:
      properties:
        success:
          type: boolean
          title: Success
        data:
          anyOf:
            - $ref: '#/components/schemas/CallbackDataItem'
            - type: 'null'
      type: object
      required:
        - success
      title: GetCallbackDataResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallbackDataItem:
      properties:
        task_id:
          type: string
          title: Task Id
        recording_id:
          type: string
          title: Recording Id
        output_data:
          anyOf:
            - {}
            - type: 'null'
          title: Output Data
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        status:
          type: string
          enum:
            - queued
            - allocated
            - running
            - success
            - failed
            - cancelled
            - killed
          title: Status
        final_screenshot:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Screenshot
        endpoint_name:
          type: string
          title: Endpoint Name
        downloads:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Downloads
        input_parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input Parameters
        unique_parameter_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Unique Parameter Names
      type: object
      required:
        - task_id
        - recording_id
        - status
        - endpoint_name
      title: CallbackDataItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````